### Method

# Meta Window get_transient_for

#### Declaration [src]

    MetaWindow*
    meta_window_get_transient_for (
      MetaWindow* window
    )

#### Description [src]

Returns the `MetaWindow` for the window that is pointed to by the WM_TRANSIENT_FOR hint on this window (see XGetTransientForHint() or XSetTransientForHint()). Mutter keeps transient windows above their parents. A typical usage of this hint is for a dialog that wants to stay above its associated window.

#### Return value

Type: `MetaWindow`

The window this window is transient for, or `NULL` if the WM_TRANSIENT_FOR hint is unset or does not point to a toplevel window that Mutter knows about.

The returned data is owned by the instance.
The return value can be `NULL`.